Gmagick::drawimage
Gmagick::embossimage
Gmagick
PHP Manual

# Gmagick::edgeimage

(PECL gmagick >= Unknown)

Gmagick::edgeimage — Enhance edges within the image

### Description

public void Gmagick::edgeimage ( float `$radius` )

Enhance edges within the image with a convolution filter of the given radius. Use radius 0 and it will be auto-selected.

### Parameters

`radius`

  The radius of the operation.

### Return Values

The Gmagick object with edges enhanced.

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::drawimage
Gmagick::embossimage
Gmagick
PHP Manual